<?php
/*贺卡
t=送给
f=来自
e=内容
b=背景*/
include "img.php";
//require_once('inc/configue.php');
    $to=(empty($_GET['t']))?"友友":$_GET['t'];
    $fr=(empty($_GET['f']))?"你的好友":$_GET['f'];//base64_decode($_GET['f']);
    $e=(empty($_GET['e']))?"送上我真挚的祝福；祝您身体安康；万事如意；心想事成":$_GET['e'];
    $value = explode(";",$e);$value = explode("；",$e);
$f1="fonts/".rand(1,11);
if(file_exists($f1.".TTF")) {
 $f=$f1.".TTF";  
 }else{$f=$f1.".ttf"; }
  $b=(empty($_GET['b']))?"uploads/images/201310220601191718.png":$_GET['b'];

$b_j=getfile('uploads/images');
  $b_j=$b_j[array_rand($b_j)];
$img=new Image($b_j);
$p1=50;
$info=getimagesize($b_j);
$i = imagecreatefrompng($b_j);
$rTotal=0;$gTotal=0;$bTotal=0;$total=0;
for ($x=0;$x<$info[0];$x++){
  for ($y=0;$y<$info[1];$y++){
    $rgby = imagecolorat($i,$x,$y);
    $rb = ($rgby >> 16) & 0xFF;
    $gb = ($rgby >> 8) & 0xFF;
    $bb = $rgby & 0xFF;
    $rTotal += $rb;
$gTotal += $gb;
$bTotal += $bb;
$total++;
    } 
} 
$rgbe[0] = 255-round($rTotal/$total); $rgbe[1] = 255-round($gTotal/$total); $rgbe[2] = 255-round($bTotal/$total);$rgbe[3]=1;
$col[1]=rand(1,255);$col[0]=rand(1,255);$col[2]=rand(1,255);$col[3]=1;
$p2=($info[0]<245)?70:30;
$p3=($info[0]<245)?165:320;
$p4=($info[0]<245)?45:150;
$img->fontMark($f,"To:",10,$col,array(1,$p2),$angle=0);
$img->fontMark($f,$to,20,$col,array(20,$p2),$angle=0);

 $info1=array($p4,$info[1]-4);
 $img->fontMark('fonts/5.ttf','39wifi.com',12,array(101,53,44,30),array($p4+120,$info[1]-25),$angle=0);
$img->fontMark($f,'From:',10,$col,array($p4,$info[1]-4),$angle=0);$img->fontMark($f,$fr,18,$col,array($p4+50,$info[1]-4),$angle=0);
      foreach($value as $w){
          $p2+=30;$fiz=16;
          if($info[0]<245){
              $fiz=strlen($w)>27?14:16; 
                      
               $ww_1=substr($w,27,27);
               if(strlen($w)>27){
                $ww_0=substr($w,0,27);  
               $img->fontMark($f,$ww_0,$fiz,$rgbe,array($p1+rand(1,30)-20,$p2),$angle=0);$p2 = strlen($w)>27?$p2+16:$p2; 
               $img->fontMark($f,$ww_1,$fiz,$rgbe,array($p1+rand(1,30)-20,$p2+3),$angle=0);}
               if(strlen($w)<=27){$img->fontMark($f,$w,$fiz,$rgbe,array($p1+rand(1,30)-25,$p2),$angle=0);}}else{
           $img->fontMark($f,$w,$fiz,$rgbe,array($p1+rand(1,30)-20,$p2),$angle=0);}
      }
      
     
      
       $img->show();
function getfile($dir) {
if (!is_dir($dir)) return false;
//打开目录
$handle =@opendir($dir);
while (($file = readdir($handle)) !== false) {
        //排除掉当前目录和上一个目录
        if ($file == "." || $file == "..") continue;
        $file = $dir . DIRECTORY_SEPARATOR . $file;
        //如果是文件就打印出来，否则递归调用
        if (is_file($file)) {
            $file_arr[] =  $file;
        } elseif (is_dir($file)) {
            getfile($file);
 }
 }
return $file_arr;
}
?>